#norootforbuild

#
# spec file for package Auth_OpenID (Version 1.2.2)
#
# Copyright (c) 2007 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via http://bugs.opensuse.org/
#

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  /var/lib/pear

Summary: PHP OpenID support
Name: php5-pear-auth_openid
Version: 1.2.2
Release: 1.3
License: LGPL
Group: Development/Libraries/Other
Source0: http://__uri/get/Auth_OpenID-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://__uri/package/Auth_OpenID
BuildRequires: php5-pear
PreReq: php5-pear
Requires: php5-curl php5-bcmath
BuildArch: noarch

%description
An implementation of the OpenID single sign-on authentication protocol.

%prep

%setup -c -T

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package2.xml
cp -p package2.xml %{buildroot}%{xmldir}/Auth_OpenID.xml

%clean

rm -rf %{buildroot}

%post

pear install --nodeps --soft --force --register-only %{xmldir}/Auth_OpenID.xml

%postun

if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only Auth_OpenID
fi

%files

%defattr(-,root,root)
%doc docs/Auth_OpenID/*
%{peardir}/*
%{xmldir}/Auth_OpenID.xml
